DefaultGrailsDomainClass (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class DefaultGrailsDomainClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.DefaultGrailsDomainClass

All Implemented Interfaces:
  ComponentCapableDomainClass, GrailsDomainClass

    @java.lang.SuppressWarnings("rawtypes")
    public class DefaultGrailsDomainClass
    extends AbstractGrailsClass

Authors:
  Graeme Rocher

Field Summary

Fields inherited from class AbstractGrailsClass
grailsApplication

Constructor Summary
`DefaultGrailsDomainClass(java.lang.Class clazz, java.util.Map defaultConstraints)` Constructor.
`DefaultGrailsDomainClass(java.lang.Class clazz)` Constructor.

Method Summary
`void` | `addComponent(GrailsDomainClass component)`
`java.util.Map` | `getAssociationMap()` Retrieves the association map
`java.util.List` | `getAssociations()`
`java.util.List` | `getComponents()`
`java.util.Map` | `getConstrainedProperties()`
`java.lang.String` | `getFieldName(java.lang.String propertyName)`
`GrailsDomainClassProperty` | `getIdentifier()`
`java.util.Map` | `getMappedBy()`
`java.lang.String` | `getMappingStrategy()`
`java.lang.String` | `getName()`
`GrailsDomainClassProperty[]` | `getPersistantProperties()`
`GrailsDomainClassProperty[]` | `getPersistentProperties()`
`GrailsDomainClassProperty` | `getPersistentProperty(java.lang.String name)`
`GrailsDomainClassProperty[]` | `getProperties()`
`GrailsDomainClassProperty` | `getPropertyByName(java.lang.String name)`
`java.lang.String` | `getPropertyName()`
`java.lang.Class` | `getRelatedClassType(java.lang.String propertyName)`
`java.util.Set` | `getSubClasses()`
`org.springframework.validation.Validator` | `getValidator()`
`GrailsDomainClassProperty` | `getVersion()`
`boolean` | `hasPersistentProperty(java.lang.String propertyName)`
`boolean` | `hasSubClasses()`
`boolean` | `isBidirectional(java.lang.String propertyName)`
`boolean` | `isManyToOne(java.lang.String propertyName)`
`boolean` | `isOneToMany(java.lang.String propertyName)`
`boolean` | `isOwningClass(java.lang.Class domainClass)`
`boolean` | `isRoot()`
`void` | `refreshConstraints()`
`void` | `setMappingStrategy(java.lang.String strategy)`
`void` | `setValidator(org.springframework.validation.Validator validator)`

Methods inherited from class AbstractGrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DefaultGrailsDomainClass

    public DefaultGrailsDomainClass(java.lang.Class clazz, java.util.Map defaultConstraints)

  Constructor.
  Parameters:
    clazz
    defaultConstraints

### DefaultGrailsDomainClass

    public DefaultGrailsDomainClass(java.lang.Class clazz)

  Constructor.
  Parameters:
    clazz

Method Detail

### addComponent

    public void addComponent(GrailsDomainClass component)

### getAssociationMap

    public java.util.Map getAssociationMap()

  Retrieves the association map

### getAssociations

    public java.util.List getAssociations()

### getComponents

    public java.util.List getComponents()

### getConstrainedProperties

    @java.lang.SuppressWarnings}
    public java.util.Map getConstrainedProperties()

### getFieldName

    public java.lang.String getFieldName(java.lang.String propertyName)

### getIdentifier

    public GrailsDomainClassProperty getIdentifier()

### getMappedBy

    public java.util.Map getMappedBy()

### getMappingStrategy

    public java.lang.String getMappingStrategy()

### getName

    @java.lang.Override*/
    public java.lang.String getName()

### getPersistantProperties

    @java.lang.Deprecated}
    public GrailsDomainClassProperty[] getPersistantProperties()

### getPersistentProperties

    public GrailsDomainClassProperty[] getPersistentProperties()

### getPersistentProperty

    public GrailsDomainClassProperty getPersistentProperty(java.lang.String name)

### getProperties

    public GrailsDomainClassProperty[] getProperties()

### getPropertyByName

    public GrailsDomainClassProperty getPropertyByName(java.lang.String name)

### getPropertyName

    @java.lang.Overridefinal ConstraintsEvaluator constraintEvaluator = getConstraintsEvaluator();
    public java.lang.String getPropertyName()

### getRelatedClassType

    public java.lang.Class getRelatedClassType(java.lang.String propertyName)

### getSubClasses

    @java.lang.SuppressWarnings
    public java.util.Set getSubClasses()

### getValidator

    public org.springframework.validation.Validator getValidator()

### getVersion

    public GrailsDomainClassProperty getVersion()

### hasPersistentProperty

    public boolean hasPersistentProperty(java.lang.String propertyName)

### hasSubClasses

    public boolean hasSubClasses()

### isBidirectional

    public boolean isBidirectional(java.lang.String propertyName)

### isManyToOne

    public boolean isManyToOne(java.lang.String propertyName)

### isOneToMany

    public boolean isOneToMany(java.lang.String propertyName)

### isOwningClass

    public boolean isOwningClass(java.lang.Class domainClass)

### isRoot

    public boolean isRoot()

### refreshConstraints

    public void refreshConstraints()

### setMappingStrategy

    public void setMappingStrategy(java.lang.String strategy)

### setValidator

    public void setValidator(org.springframework.validation.Validator validator)

Groovy Documentation